#ifndef UDP_SERVICE_H
#define UDP_SERVICE_H

// client object header file

#include <SDL_net.h>

class UDP_Service
{
  public:
    UDP_Service(char*, int);  //recieves IP address and port number (client)
    UDP_Service(int);         //recieves port number to open (server)
    ~UDP_Service();  
    void send_data(char*);
    int recieve_data(void);
    int resolve_server_address(char*);  //sets new destination IP & re-resolves host
    int resolve_server_address(int);    //sets new destination port & re-resolves host
    void show_dest_info(void) const;         //displays packet destination information.
    
  private:
    void resolve_server_address(void); //used during initialization.
    
    UDPsocket sd_send;           //socket descriptor for sending (client)
    UDPsocket sd_recieve;        //socket descriptor for recieving (server)
    UDPpacket *p_send;           //packet to be sent (holds command for server)
    UDPpacket *p_recieve;       //packet data pointer to recieved info (server recieve)
    IPaddress srvadd;           //server's ip address
    
    char *destination_ip;
    int destination_port;
    bool server, client;        //identification of which object is which
    
};
  
#endif
